subscriptionCharge
The subscriptionCharge query in Bunny's GraphQL API, with its arguments, return type and an example request.
Scope required:
For a complete list of possible response fields see the SubscriptionCharge type.
query subscriptionCharge ($id: ID, $code: String, $format: String) {
subscriptionCharge (id: $id, code: $code, format: $format) {
amount
code
createdAt
creditValidityMonths
currencyId
discount
discountedPrice
endDate
expired
fullyBilled
id
invoiceLineText
isAmendment
isRamp
name
periodPrice
price
priceDecimals
priceListChargeId
priceListId
prorationRate
quantity
quantityMax
quantityMin
selfServiceQuantity
startDate
subscriptionId
subtotal
taxAmount
tieredAveragePrice
topUpChargeId
topUpMaxPerMonth
topUpPrice
topUpQuantity
topUpTarget
topUpThreshold
trial
updatedAt
usageCredits
}
}
ArgumentsLink to Arguments section
| Name | Type | Description |
|---|---|---|
| id | ID | |
| code | String | |
| format | String |